// $Id: YM2413Core.hh,v 1.3 2004/12/15 09:09:51 m9710797 Exp $

#ifndef __YM2413CORE_HH__
#define __YM2413CORE_HH__

#include "openmsx.hh"

namespace openmsx {

class EmuTime;

class YM2413Core
{
public:
	virtual ~YM2413Core() = 0;
	virtual void reset(const EmuTime& time) = 0;
	virtual void writeReg(byte reg, byte value, const EmuTime& time) = 0;
};

} // namespace openmsx

#endif
